## gdm3 3.38.2.1

=== meson_options.txt ===
option('at-spi-registryd-dir', type: 'string', value: '', description: 'Specify the directory of at-spi-registryd.')
option('check-accelerated-dir', type: 'string', value: '', description: 'Specify the directory of gnome-session-check-accelerated.')
option('custom-conf', type: 'string', value: '', description: 'Filename to give to custom configuration file.')
option('dbus-sys', type: 'string', value: '', description: 'Where D-Bus systemd directory is.')
option('default-pam-config', type: 'combo', choices: [ 'autodetect', 'redhat', 'openembedded', 'exherbo', 'lfs', 'arch', 'none'], value: 'autodetect', description: '')
option('default-path', type: 'string', value: '/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin', description: 'Path GDM will use as the user\'s default PATH.')
option('defaults-conf', type: 'string', value: '', description: 'Filename to give to defaults file.')
option('dmconfdir', type: 'string', value: '', description: 'Directory where sessions are stored.')
option('gdm-xsession', type: 'boolean', value: false, description: 'Enable installing the gdm Xsession file.')
option('gnome-settings-daemon-dir', type: 'string', value: '', description: 'Specify the directory of gnome-settings-daemon used by the chooser.')
option('group', type: 'string', value: 'gdm', description: 'GDM\'s group.')
option('initial-vt', type: 'integer', value: 1, description: 'Initial virtual terminal to use.')
option('ipv6', type: 'boolean', value: false, description: 'Enables compilation of IPv6 code.')
option('lang-file', type: 'string', value: '', description: 'File containing default language settings.')
option('libaudit', type: 'feature', value: 'auto', description: 'Add Linux audit support.')
option('log-dir', type: 'string', value: '/var/log/gdm', description: 'Log directory.')
option('pam-mod-dir', type: 'string', value: '', description: 'Directory to install PAM modules in.')
option('pam-prefix', type: 'string', value: '', description: 'Specify where PAM files go.')
option('pid-file', type: 'string', value: '', description: 'Pid file.')
option('plymouth', type: 'feature', value: 'auto', description: 'Add plymouth support.')
option('profiling', type: 'boolean', value: false, description: 'Enable profiling.')
option('ran-once-marker-dir', type: 'string', value: '', description: 'Ran once marker directory.')
option('run-dir', type: 'string', value: '', description: 'Runtime directory.')
option('runtime-conf', type: 'string', value: '', description: 'Filename to give to runtime configuration file.')
option('screenshot-dir', type: 'string', value: '', description: 'Directory to store greeter screenshot.')
option('selinux', type: 'feature', value: 'auto', description: 'Add SELinux support.')
option('solaris', type: 'boolean', value: false, description: 'Build for Solaris')
option('split-authentication', type: 'boolean', value: true, description: 'Enable multiple simultaneous PAM conversations during login.')
option('sysconfsubdir', type: 'string', value: 'gdm', description: 'Directory name used under sysconfdir.')
option('systemd-journal', type: 'boolean', value: true, description: 'Use journald support.')
option('systemdsystemunitdir', type: 'string', value: '', description: 'Directory for systemd service files.')
option('systemduserunitdir', type: 'string', value: '', description: 'Directory for systemd user service files.')
option('tcp-wrappers', type: 'boolean', value: false, description: 'Use TCP wrappers.')
option('udev-dir', type: 'string', value: '', description: 'Directory for udev rules file.')
option('user', type: 'string', value: 'gdm', description: 'GDM\'s username.')
option('user-display-server', type: 'boolean', value: true, description: 'Enable running X server as user.')
option('wayland-support', type: 'boolean', value: true, description: 'Enable support for wayland sessions.')
option('working-dir', type: 'string', value: '', description: 'Working directory.')
option('xauth-dir', type: 'string', value: '', description: 'XAuth cookie directory.')
option('xdmcp', type: 'feature', value: 'auto', description: 'Add XDMCP (remote login) support.')

## gdm3 2.30.5

=== debian/changelog ===
gdm3 (2.30.5-6squeeze5) oldstable; urgency=low

  * Handle partial upgrades to wheezy, where a glib version that relies 
    on x-scheme-* for URL handlers gets installed. In this case, using 
    the defaults in /usr/share/applications leads to a security 
    vulnerability where anyone can launch an URI handler from the 
    greeter session.
    + 38_greeter_datadir.patch: modified patch from version 3.0. Add 
      XDG_DATA_DIRS to the greeter session.
    + debian/applications/{mime-dummy-handler.desktop,mimeapps.list}: 
      copied from version 3.4. The former is a dummy handler for URIs, 
      the latter associates it with every known URI scheme.
    + gdm3.install: install these in /usr/share/gdm/greeter/applications

 -- Josselin Mouette <joss@debian.org>  Thu, 23 May 2013 21:26:20 +0200

gdm3 (2.30.5-6squeeze4) stable; urgency=low

  * 35_double_free.patch: stolen from 2.30.7. Fix a double free issue in 
    the chooser code.
  * 36_windowpath.patch: stolen from 2.30.7. Only set the WINDOWPATH 
    variable if not null.
  * 37_shutdown_buttons.patch: stolen from upstream git. Only show 
    shutdown options when requested. Closes: #628032.
  * 14_pam_dialog.patch: remove the beep, since it happens after the 
    session has been reaped and can lock the sound device.

 -- Josselin Mouette <joss@debian.org>  Thu, 18 Aug 2011 18:21:15 +0200

gdm3 (2.30.5-6squeeze3) stable; urgency=low

  * 33_reset_signal_handler.patch: stolen upstream. Reset SIGPIPE 
    handler before starting the session.
  * 34_postsession_shutdown.patch: stolen upstream. Execute the 
    PostSession script even when GDM is killed or shut down.

 -- Josselin Mouette <joss@debian.org>  Wed, 20 Apr 2011 21:31:33 +0200

gdm3 (2.30.5-6squeeze2) stable-security; urgency=medium

  * Apply patch from Ray Strode <rstrode@redhat.com> to address
    CVE-2011-0727

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 26 Mar 2011 21:06:15 +0100

gdm3 (2.30.5-6squeeze1) stable; urgency=low

  [ Josselin Mouette ]
  * gdm3.init: chown the configuration to Debian-gdm, to avoid umask 
    issues. Closes: #603510.
  * gdm3.postrm: handle deluser/delgroup failures gracefully.
    Closes: #603753.
  * 29_grep_path.patch: new patch. Don’t hardcode grep to a wrong 
    location. Closes: #607664.
  * 30_utf8_locale.patch: new patch. Pass locale.UTF-8 instead of 
    locale.utf8. Closes: #607753.

  [ Emilio Pozuelo Monfort ]
  * debian/gdm3.8.pod:
    + Fix typo, thanks Yury V. Zaytsev. Closes: #610723.

 -- Josselin Mouette <joss@debian.org>  Sat, 19 Feb 2011 13:22:35 +0100

gdm3 (2.30.5-6) unstable; urgency=low

  * 11_xephyr_nested.patch: don’t switch VTs from nested displays. It’s 
    confusing and prevents using them to start sessions for existing 
    users.
  * greeter.gconf-defaults: don’t specify the background, it is now set 
    by desktop-base.
  * Recommend desktop-base >= 6 to obtain this background.
  * Remove moreblue-orbit picture.

 -- Josselin Mouette <joss@debian.org>  Mon, 15 Nov 2010 20:52:24 +0100

gdm3 (2.30.5-5) unstable; urgency=low

  * 27_orca_braille.patch: patch from Samuel Thibault to enable braille 
    support in orca. Closes: #600472.
  * 20_endsession_respawn.patch:
    + Correctly reinitialize the variable that tells a display must 
      respawn. It badly broke when trying to use an already used 
      display to switch to another one. Closes: #600706.
    + Also prevent respawning for static displays, otherwise the same 
      problem will also happen on :0. The only remaining difference 
      remaining between static and transient displays is autologin 
      handling.
    + Don’t restart the static display when it exits, that would make 
      the previous change moot.
  * Get the greeter to play a beep when it is ready. Thanks Samuel 
    Thibault for all the testing. Closes: #598132.
    + 28_beep.patch: new patch. Emit a gdk_beep when appropriate.
    + greeter.gconf-defaults: enable event sounds, so that the beep is 
      played.
  * README.Debian:
    + Explain the configuration system more thoroughly. Closes: #601479.
    + Split the debconf translations part in README.source.

 -- Josselin Mouette <joss@debian.org>  Sun, 07 Nov 2010 00:32:11 +0100

gdm3 (2.30.5-4) unstable; urgency=low

  * 21_schemas_usr.patch: add some comments in the daemon.conf file to 
    explain the available options. Thanks Joey Hess. Closes: #598666.
  * gdm3.init: drop hal and acpid. Closes: #599015.
  * Pass --enable-debug with DEB_BUILD_OPTIONS=debug.
  * 20_endsession_respawn.patch: fix typo introduced in 2.30.5-2 that 
    turns the feature completely off.
  * 18_switch_kill_greeter.patch: ensure that the slave process dies 
    too. Avoids leaking gdm-simple-slave processes around.
  * 24_show_user_other.patch: dropped. It is not necessary anymore, the 
    case without any user is handled correctly now. Furthermore it was 
    causing the infamous focus bug. Closes: #596359.
  * 11_xephyr_nested.patch: fix implicit pointer conversion. Thanks Dann 
    Frazier for the report. Closes: #599104.

 -- Josselin Mouette <joss@debian.org>  Wed, 06 Oct 2010 00:10:48 +0200

gdm3 (2.30.5-3) unstable; urgency=low

  [ Josselin Mouette ]
  * pt_BR.po: new Brazilian Portuguese translation by Sérgio Cipolla.
    Closes: #597669.
  * 26_username_escape.patch: stolen in upstream git (2.30 branch). Fix 
    escaping in the user list.

  [ Luca Bruno ]
  * 13_gdmsetup.patch: refresh and fix user-manager loading according
    to upstream changes. Closes: #598034.

 -- Josselin Mouette <joss@debian.org>  Sat, 02 Oct 2010 18:41:24 +0200

gdm3 (2.30.5-2) unstable; urgency=low

  * 03_ipv6.patch: new patch from Julien Cristau, thanks a lot for 
    investigating! Fix an allocation error that leads to passing garbage 
    as addresses.
    Add to that a stripping of ::ffff: from IPv4 mapped addresses, since 
    this is not understood in $DISPLAY.
    Closes: #579033.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gdm3
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Josselin Mouette <joss@debian.org>
Build-Depends: gnome-pkg-tools (>= 0.16.3),
               debhelper (>= 5),
               cdbs,
               intltool (>= 0.40.0),
               gnome-doc-utils,
               libdbus-glib-1-dev (>= 0.74),
               libglib2.0-dev (>= 2.22.0),
               libgtk2.0-dev (>= 2.12.0),
               libpango1.0-dev (>= 1.3.0),
               libgconf2-dev (>= 2.6.1),
               libpanel-applet2-dev (>= 2.0.0),
               libxklavier-dev (>= 4.0),
               libcanberra-gtk-dev (>= 0.4),
               libfontconfig1-dev (>= 2.5.0),
               libupower-glib-dev (>= 0.9.0),
               libpolkit-gobject-1-dev (>= 0.92),
               libpolkit-gtk-1-dev (>= 0.92),
               libx11-dev,
               libxau-dev,
               libxt-dev,
               libxext-dev,
               check (>= 0.9.4),
               libpam0g-dev,
               libxdmcp-dev,
               libwrap0-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               libselinux1-dev [linux-any],
               libattr1-dev [linux-any],
               iso-codes,
               libaudit-dev [linux-any],
               docbook-xml
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/gdm3/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gdm3/

Package: gdm3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         gnome-session-bin (>= 2.30),
         policykit-1-gnome,
         upower,
         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
         lsb-base (>= 3.2-14),
         librsvg2-common,
         gconf2 (>= 2.26.2-3)
Recommends: zenity,
            xserver-xephyr | xnest,
            x11-xkb-utils,
            xserver-xorg,
            at-spi,
            gnome-power-manager (>= 2.28),
            gnome-settings-daemon,
            gnome-icon-theme,
            desktop-base (>= 6)
Suggests: libpam-gnome-keyring,
          metacity,
          gnome-mag,
          gnome-orca,
          gok
Provides: x-display-manager,
          fast-user-switch-applet
Conflicts: fast-user-switch-applet,
           gdm
Replaces: fast-user-switch-applet
Breaks: gnome-session (<< 2.26),
        gnome-panel (<< 2.26),
        gnome-screensaver (<< 2.17.7),
        gnome-orca (<< 2.30.0-2)
Description: Next generation GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it 
 asks for a login and starts X sessions.
 .
 It provides all the functionality of XDM, including XDMCP support for
 managing remote displays, and extends it with the ability to start X 
 servers on demand.
 .
 The greeter is written using the GNOME libraries and hence looks like a 
 GNOME application - even to the extent of supporting themes! 
 .
 This package contains the next generation GDM, which was developed 
 using the technologies on which GNOME 3 is based.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/patch-translations.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := gdm

DEB_CONFIGURE_SCRIPT_ENV += X_PATH="/usr/bin" \
			    X_SERVER_PATH="/usr/bin" \
			    X_SERVER="/usr/bin/Xorg"

ifeq (linux,$(DEB_HOST_ARCH_OS))
    DEB_CONFIGURE_SCRIPT_ENV += X_CONFIG_OPTIONS="-audit 0 -novtswitch"
else
    DEB_CONFIGURE_SCRIPT_ENV += X_CONFIG_OPTIONS="-audit 0"
endif

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
		--enable-ipv6=yes \
		--with-at-spi-registryd-directory=/usr/lib/at-spi \
		--with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
		--with-custom-conf=/etc/gdm3/daemon.conf \
		--with-sysconfsubdir=gdm3 \
		--with-working-directory=/var/lib/gdm3 \
		--with-xauth-dir=/var/run/gdm3 \
		--with-pid-file=/var/run/gdm3.pid \
		--with-log-dir=/var/log/gdm3 \
		--with-screenshot-dir=/var/run/gdm3/greeter \
		--with-defaults-conf=/usr/share/gdm/defaults.conf \
		--with-user=Debian-gdm --with-group=Debian-gdm \
		--with-pam-domain=gdm3 \
		--with-lang-file=/etc/default/locale

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	DEB_CONFIGURE_EXTRA_FLAGS += --enable-debug
endif

DEB_MAKE_EXTRA_ARGS += authdir=/var/lib/gdm3
		
ifeq (linux,$(DEB_HOST_ARCH_OS))
	DEB_CONFIGURE_EXTRA_FLAGS += --with-selinux
endif


DEB_DH_INSTALLINIT_ARGS := --noscripts

binary-install/gdm3::
	chmod 755 debian/gdm3/usr/share/gdm/gdmXnestWrapper
	mv debian/gdm3/usr/share/applications/gdmsetup.desktop \
		debian/gdm3/usr/share/gdm/applications/
	rmdir debian/gdm3/usr/share/applications
	mv debian/gdm3/usr/sbin/gdm-binary debian/gdm3/usr/sbin/gdm3
	cd debian/gdm3/usr/sbin && rm -f gdm-restart gdm-stop gdm-safe-restart
	chmod 755 debian/gdm3/etc/gdm3/Xsession
	dh_installpam -pgdm3 --name=gdm3-autologin
	rm -rf debian/gdm3/var/lib/gdm3/.g*
	rm -rf debian/gdm3/var/run
	rm -f debian/gdm3/usr/sbin/gdm
	rm -f debian/gdm3/etc/pam.d/gdm
	rm -f debian/gdm3/etc/pam.d/gdm-autologin
	cd debian/gdm3/usr/share/gdm/greeter-config && \
		mv session-setup.entries 10_upstream.entries

INFILES := $(wildcard debian/*.desktop.in)
OUTFILES := $(INFILES:.desktop.in=.desktop)

%.desktop: %.desktop.in
	intltool-merge -d debian/po-up $< $@

build/gdm3:: $(OUTFILES)

MANPAGES := $(patsubst %.pod,%,$(wildcard debian/*.pod))

common-build-arch:: $(MANPAGES)

clean::
	rm -f $(MANPAGES)
	rm -f $(OUTFILES)

%: %.pod
	pod2man --section=$(shell echo $@ | sed 's/.*\.//') \
		--release="GNOME $(DEB_GNOME_VERSION)" \
		--center="Debian GNU/Linux" \
		$< \
		| sed -e 's/debian:://' >$@

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/gdm/([\d\.]+)[02468]/gdm-([\d\.]+)\.tar\.gz debian uupdate

## gdm3 3.0.4

=== debian/changelog ===
gdm3 (3.0.4-4) unstable; urgency=low

  [ Michael Biebl ]
  * debian/watch:
    - Update to version 3.
    - Track .xz tarballs.
    - Don't run uupdate.

  [ Josselin Mouette ]
  * Build-depend on gnome-settings-daemon so that its plugins are 
    correctly listed.
  * Note this is a critical security fix, but does not affect testing.
  * Also closes: #630482.

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Oct 2011 16:22:33 +0200

gdm3 (3.0.4-3) unstable; urgency=low

  * Upload to unstable.
  * Drop Build-Depends on libpolkit-gobject-1-dev and libpolkit-gtk-1-dev.
  * Refresh patches.
  * Bump debhelper compatibility level to 8.
  * Bump Standards-Version to 3.9.2. No further changes.
  * debian/greeter.gsettings: Don't set wallpaper from desktop-base, as we
    don't have a hard dependency on desktop-base which can lead to a broken
    desktop background.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 14:45:46 +0200

gdm3 (3.0.4-2) experimental; urgency=low

  * Document how to change the GSettings settings in README.Debian.
  * greeter.gsettings: add an example of how to disable the sound.
    Closes: #628858.
  * 06_first_vt.patch: update to add Hurd support. Closes: #629366.
  * 18_switch_kill_greeter.patch, 20_endsession_respawn.patch: replaced 
    by a series of cleaned up upstream patches.
    + 17_switch_on_finish.patch: add the switch-on-finish property to 
      displays.
    + 18_parametrize_create_display.patch: allow the daemon to create an 
      arbitrary type of display.
    + 19_static_transient_display.patch: share the respawn logic between 
      static and transient displays.
    + 20_switch_kill_greeter.patch: here is the code that kills the 
      unnecessary greeter if we support -novtswitch.
    + 21_static_display_purge.patch: the last missing change in the 
      upstream patches, purges static displays just as transient 
      displays.
  * Pass --with-vt-switch-workaround on non-Linux architectures.
  * 01_language.patch: replaced by a new version from upstream. Only 
    sets the variables when non-empty.

 -- Josselin Mouette <joss@debian.org>  Wed, 15 Jun 2011 20:14:19 +0200

gdm3 (3.0.4-1) experimental; urgency=low

  * New upstream bugfix & security release.
  * Require accountsservice 0.6.12.
  * 07_libexec-paths.patch, 91_dconf_override.patch: updated for the new 
    version.
  * 93_xdg_data_dirs.patch: new patch. Add /usr/share/gdm to 
    XDG_DATA_DIRS.
  * debian/gdm3.install: install the dummy desktop handler and the 
    mimeapps.list to /usr/share/gdm/applications.
  * rules: clean them from /var.

 -- Josselin Mouette <joss@debian.org>  Wed, 01 Jun 2011 00:40:08 +0200

gdm3 (3.0.0-2) experimental; urgency=low

  * 18_switch_kill_greeter.patch: remove the 2 second timeout, it is 
    useless now.
  * 14_pam_dialog.patch: completely revamped. Use a message queue to 
    show messages on the text area instead of showing an ugly dialog.
  * 30_utf8_locale.patch: dropped, it’s useless now. Furthermore the 
    official locale name is now bl_AH.utf8, it’s extracted directly from 
    the locales package by accountsservice.
  * Build-depend on gnome-settings-daemon-dev and 
    gsettings-desktop-schemas.
  * Rename 21_schemas_usr.patch to 90_config_comments.patch, to match 
    its true meaning and the fact it won’t be forwarded.
  * Allow to tune the GSettings configuration like for GConf.
    + 91_dconf_override.patch: new Debian-specific patch. Turn the 
      make-dconf-override-db script into one that creates a GSettings 
      override file. Drop the dconf profile entirely.
    + Install the result in /usr/share/gdm/greeter-settings.
    + 92_gsettings_path.patch: new Debian-specific patch. Set 
      GSETTINGS_SCHEMA_DIR in the welcome session instead of 
      DCONF_PROFILE.
    + Require gsettings-desktop-schemas and libglib2.0-bin in the binary 
      package.
    + greeter.gsettings: new file. Set the Debian GSettings defaults.
    + Install it in /etc/gdm3 and link it in 
      /usr/share/gdm/greeter-settings.
    + gdm3.init: regenerate the schemas if needed in /var/lib/gdm3.
  * greeter.gconf-defaults: remove settings that are necessarily in 
    GSettings now.

 -- Josselin Mouette <joss@debian.org>  Thu, 12 May 2011 00:09:50 +0200

gdm3 (3.0.0-1) experimental; urgency=low

  * DISCLAIMER: this one is labeled “experimental” for a reason.
  * README.Debian: remove reference to GDM 2.26. Closes: #616603.
  * gdm3.8.pod: patch from Vincent Lefevre to document XAUTHORITY. 
    Closes: #616612.
  * New upstream release.
  * 01_minimal_uid.patch: dropped, fixed upstream using accountsservice.
  * 07_libexec-paths.patch: put enough intelligence in configure.ac to 
    remove the need for a Debian-specific patch.
  * 08_frequent-users_greeter.patch:
    + Drop the parts that have been moved to accountsservice.
    + Now use "x11" instead of "gdm" as session type. See #624474 for 
      the gory details.
  * 11_no_xhost_thanks.patch: dropped, upstream promises it is safe.
  * 11_xephyr_nested.patch: disabled for the moment.
  * 12_polkit_settings.patch, 13_gdmsetup.patch, 13_gdmsetup_ui.patch, 
    13_gdmsetup_desktop.patch: dropped, this is now done in the control 
    center.
  * 14_pam_dialog.patch: disabled for the moment.
  * 18_switch_kill_greeter.patch: add the forced -novtswitch argument 
    for Linux here, making the patch self-consistent.
  * 19_configure_xserver.patch: disabled. It lets people do stupid 
    things, and upstream would prefer to have only the X server binary
    configurable.
  * Stop setting X_CONFIG_OPTIONS according to those two changes.
  * 20_endsession_respawn.patch: disable the nested stuff for now.
  * 21_schemas_usr.patch: most of it has been merged upstream. Only keep 
    extra comments in the configuration file.
  * 22_noconsole.patch: rename the configuration option to 
    xdmcp/ShowLocalGreeter at upstream’s request.
  * 30_utf8_locale.patch: refreshed.


=== debian/control ===
--- 
+++ 
@@ -7,26 +7,28 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: gnome-pkg-tools (>= 0.16.3),
-               debhelper (>= 5),
+               debhelper (>= 8),
                cdbs,
+               dh-autoreconf,
                intltool (>= 0.40.0),
                gnome-doc-utils,
                libdbus-glib-1-dev (>= 0.74),
-               libglib2.0-dev (>= 2.22.0),
-               libgtk2.0-dev (>= 2.12.0),
+               libglib2.0-dev (>= 2.27.4),
+               libgtk-3-dev (>= 2.91.1),
                libpango1.0-dev (>= 1.3.0),
-               libgconf2-dev (>= 2.6.1),
-               libpanel-applet2-dev (>= 2.0.0),
+               libgconf2-dev (>= 2.31.3),
                libxklavier-dev (>= 4.0),
-               libcanberra-gtk-dev (>= 0.4),
+               libcanberra-gtk3-dev (>= 0.4),
                libfontconfig1-dev (>= 2.5.0),
                libupower-glib-dev (>= 0.9.0),
-               libpolkit-gobject-1-dev (>= 0.92),
-               libpolkit-gtk-1-dev (>= 0.92),
+               libaccountsservice-dev (>= 0.6.12),
+               gnome-settings-daemon-dev (>= 2.91.2),
+               gnome-settings-daemon (>= 2.91.2),
                libx11-dev,
                libxau-dev,
+               libxrandr-dev,
                libxt-dev,
                libxext-dev,
                check (>= 0.9.4),
@@ -40,8 +42,9 @@
                libattr1-dev [linux-any],
                iso-codes,
                libaudit-dev [linux-any],
-               docbook-xml
-Standards-Version: 3.9.0
+               docbook-xml,
+               gsettings-desktop-schemas
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/gdm3/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gdm3/
 
@@ -52,15 +55,19 @@
          adduser,
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
-         gnome-session-bin (>= 2.30),
+         gnome-session-bin (>= 3.0),
          policykit-1-gnome,
          upower,
          gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          lsb-base (>= 3.2-14),
          librsvg2-common,
-         gconf2 (>= 2.26.2-3)
+         gconf2 (>= 2.26.2-3),
+         accountsservice (>= 0.6.12),
+         gsettings-desktop-schemas,
+         libglib2.0-bin (>= 2.26),
+         dconf-gsettings-backend
 Recommends: zenity,
-            xserver-xephyr | xnest,
+            xserver-xephyr,
             x11-xkb-utils,
             xserver-xorg,
             at-spi,
@@ -73,15 +80,12 @@
           gnome-mag,
           gnome-orca,
           gok
-Provides: x-display-manager,
-          fast-user-switch-applet
-Conflicts: fast-user-switch-applet,
-           gdm
-Replaces: fast-user-switch-applet
-Breaks: gnome-session (<< 2.26),
-        gnome-panel (<< 2.26),
+Provides: x-display-manager
+Conflicts: gdm
+Breaks: gnome-panel (<< 3.0),
         gnome-screensaver (<< 2.17.7),
-        gnome-orca (<< 2.30.0-2)
+        gnome-orca (<< 2.30.0-2),
+        gnome-control-center (<< 3.0)
 Description: Next generation GNOME Display Manager
  GDM provides the equivalent of a "login:" prompt for X displays: it 
  asks for a login and starts X sessions.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
@@ -12,12 +13,6 @@
 DEB_CONFIGURE_SCRIPT_ENV += X_PATH="/usr/bin" \
 			    X_SERVER_PATH="/usr/bin" \
 			    X_SERVER="/usr/bin/Xorg"
-
-ifeq (linux,$(DEB_HOST_ARCH_OS))
-    DEB_CONFIGURE_SCRIPT_ENV += X_CONFIG_OPTIONS="-audit 0 -novtswitch"
-else
-    DEB_CONFIGURE_SCRIPT_ENV += X_CONFIG_OPTIONS="-audit 0"
-endif
 
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
 		--enable-ipv6=yes \
@@ -43,27 +38,28 @@
 		
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	DEB_CONFIGURE_EXTRA_FLAGS += --with-selinux
+else
+	DEB_CONFIGURE_EXTRA_FLAGS += --with-vt-switch-workaround
 endif
 
 
 DEB_DH_INSTALLINIT_ARGS := --noscripts
 
 binary-install/gdm3::
-	chmod 755 debian/gdm3/usr/share/gdm/gdmXnestWrapper
-	mv debian/gdm3/usr/share/applications/gdmsetup.desktop \
-		debian/gdm3/usr/share/gdm/applications/
-	rmdir debian/gdm3/usr/share/applications
 	mv debian/gdm3/usr/sbin/gdm-binary debian/gdm3/usr/sbin/gdm3
 	cd debian/gdm3/usr/sbin && rm -f gdm-restart gdm-stop gdm-safe-restart
 	chmod 755 debian/gdm3/etc/gdm3/Xsession
 	dh_installpam -pgdm3 --name=gdm3-autologin
-	rm -rf debian/gdm3/var/lib/gdm3/.g*
+	rm -rf debian/gdm3/var/lib/gdm3/.[cgl]*
 	rm -rf debian/gdm3/var/run
 	rm -f debian/gdm3/usr/sbin/gdm
 	rm -f debian/gdm3/etc/pam.d/gdm
 	rm -f debian/gdm3/etc/pam.d/gdm-autologin
+	rm -f debian/gdm3/usr/share/gdm/autostart/LoginWindow/gnome-session-check-accelerated.desktop
 	cd debian/gdm3/usr/share/gdm/greeter-config && \
 		mv session-setup.entries 10_upstream.entries
+	data/make-dconf-override-db.sh > \
+		debian/gdm3/usr/share/gdm/greeter-settings/xx_upstream.gschema.override
 
 INFILES := $(wildcard debian/*.desktop.in)
 OUTFILES := $(INFILES:.desktop.in=.desktop)

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/gdm/([\d\.]+[02468])/gdm-([\d\.]+)\.tar\.xz

## gdm3 3.4.1

=== debian/changelog ===
gdm3 (3.4.1-8) unstable; urgency=low

  * debian/orca-autostart.desktop:
    + Pass --no-setup to orca to avoid displaying the preferences
      window on the first run.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 17 Apr 2013 12:14:44 +0200

gdm3 (3.4.1-7) unstable; urgency=low

  * debian/patches/40_add_start_dir.patch:
    + Call gnome-session with --start /usr/share/gdm/greeter/autostart.
      .desktop files in that directory will be autostarted (if the
      condition to do so is true) in the gdm session.
  * debian/control.in:
    + Bump gnome-session-bin dependency to 3.4.2.1-4~ for the above
      change.
  * debian/orca-autostart.desktop,
    debian/gdm3.install:
    + Install a desktop file to autostart orca if the screen reader
      is enabled in gsettings.
  * debian/patches/45_show_a11y_menu.patch:
    + Add an a11y menu in the panel to enable/disable orca.
  * debian/po/*:
    + Add 45_show_a11y_menu.patch to the list of patches to be
      translated and add translations for many languages taken
      from gnome-shell.
  * All of the above closes: #689559.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 10 Apr 2013 14:36:52 +0200

gdm3 (3.4.1-6) unstable; urgency=low

  * 24_move_failure_detection.patch: new patch. Detect when a display is 
    in FAILED state at finish() time, not unmanage(). This makes the 
    logic for restarting displays upon failure correct. Closes: #681830.
    Thanks a lot to Sébastien Villemot for his spot-on analysis of the 
    bug’s cause.

 -- Josselin Mouette <joss@debian.org>  Sun, 10 Feb 2013 17:46:18 +0100

gdm3 (3.4.1-5) unstable; urgency=low

  * gdm3.prerm: do not stop gdm3 if $DISPLAY is between :0 and :9 which 
    generally mean local displays. Displays > 10 will most of the time 
    mean SSH.
  * greeter.gsettings: no workspaces in the login session.
    Closes: #686584.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Nov 2012 14:08:42 +0100

gdm3 (3.4.1-4) unstable; urgency=low

  * Team upload
  * Apply patch from Paul Wise to avoid userdel error messages
    from being used as input for debconf if gdm3 is purged while
    processes are still running as Debian-gdm (Closes: #657751)

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Oct 2012 21:31:25 +0100

gdm3 (3.4.1-3) unstable; urgency=low

  * Drop suggests on gnome-mag.
  * Recommends: at-spi → at-spi2-core. Closes: #680947.
  * Recommend gnome-icon-theme-symbolic. Closes: #683348.
  * Generate templates from PO files. Closes: #686037.
  * Update po files from the xdm source.
  * Remove obsolete README.source.
  * Grab some patches upstream:
    + 30_dbus_prctl_death.patch: ensure dbus dies with the session.
    + 31_worker_session_gone.patch: avoid race condition when the 
      session dies.
    + 32_ignore_greeter_crash.patch: ignore when the greeter crashes 
      while no longer needed.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2012 14:01:46 +0200

gdm3 (3.4.1-2) unstable; urgency=low

  * Fix typo in dconf-tools dependency version. Closes: #678961.
  * Use --no-create-home and --quiet for addgroup/adduser calls.
    Closes: #675809.
  * 05_debug_xserver_core.patch: patch from upstream git. Make the X 
    server dump core when debugging is enabled. Closes: #651693.
  * 06_first_vt.patch, 20_switch_kill_greeter.patch: refreshed.
  * 90_config_comments.patch: more comments with useful options.
  * Add references to patches.
  * 02_xnest_wrapper.patch: disabled.
  * 04_reload_config.patch: patch from upstream git. Get SIGHUP to 
    actually reload the configuration.
  * gdm3.init: send SIGHUP to get reload to work.

 -- Josselin Mouette <joss@debian.org>  Mon, 25 Jun 2012 20:18:38 +0200

gdm3 (3.4.1-1) unstable; urgency=low

  [ Jordi Mallach ]
  * Update po-up/ca.po.

  [ Josselin Mouette ]
  * gdm3.init: remove .ICEauthority before starting. Closes: #648666.
  * x11-common will now include xhost code to give access to the 
    local user if xhost is installed (see #586685).
    + Depend on the appropriate x11-common version.
    + Depend on x11-xserver-utils so that it actually works.
  * New upstream release.
  * Updated build-dependencies: nss, glib.
  * 01_language.patch: dropped, merged upstream.
  * 04_no_fatal_criticals.patch: dropped, obsolete.
  * 07_libexec-paths.patch: removed unused variables/files.
  * 08_frequent-users_greeter.patch: reworked according to upstream 
    changes.
  * 10_gdm3_pam.patch: updated for the new version. Do not prefix the 
    PAM files for multistack, they have new names anyway.
  * 14_pam_dialog.patch: dropped, upstream merged an improved version.
  * 18_parametrize_create_display.patch: updated for the new version.
  * 19_static_transient_display.patch: unfuzzed.
  * 29_grep_path.patch: dropped, merged upstream.
  * 91_dconf_override.patch: dropped, the configuration generation has 
    completely changed.
  * 93_xdg_data_dirs.patch: dropped, similar functionality merged 
    upstream.
  * Drop the dconf-gsettings-backend dependency.
  * greeter.gconf-defaults:
    + Drop the g-p-m setting.
  * greeter.gsettings:
    + Force gdm-fallback as the default session.
    + Document how to use gdm-shell.
    + Document how to change the background. Closes: #655328.
  * rules:
    + Generate xx_upstream.gschema.override from the new 
      00-upstream-settings file (much simpler).
    + Remove /etc/dconf from the installed files.
    + Drop all development libraries/headers.
    + Explicitly disable introspection.
    + (All of this can be shipped in separate packages if actual 
      packages start using this library.)
    + Explicitly disable split authentication, it will not work properly 
      with the Debianized PAM stack.
    + Remove the associated PAM files.
    + Disable dh_makeshlibs.
    + Install the dconf stuff in /usr/share/gdm.
  * gdm3.postinst:
    + Remove the old gsettings file upon upgrade.
  * gdm3.links:
    + Remove the old gsettings link.
  * gdm3.init:


=== debian/control ===
--- 
+++ 
@@ -7,18 +7,17 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: gnome-pkg-tools (>= 0.16.3),
-               debhelper (>= 8),
+               debhelper (>= 8.1.0),
                cdbs,
                dh-autoreconf,
                intltool (>= 0.40.0),
                gnome-doc-utils,
                libdbus-glib-1-dev (>= 0.74),
-               libglib2.0-dev (>= 2.27.4),
+               libglib2.0-dev (>= 2.29.3),
                libgtk-3-dev (>= 2.91.1),
                libpango1.0-dev (>= 1.3.0),
-               libgconf2-dev (>= 2.31.3),
                libxklavier-dev (>= 4.0),
                libcanberra-gtk3-dev (>= 0.4),
                libfontconfig1-dev (>= 2.5.0),
@@ -26,12 +25,16 @@
                libaccountsservice-dev (>= 0.6.12),
                gnome-settings-daemon-dev (>= 2.91.2),
                gnome-settings-daemon (>= 2.91.2),
+               libck-connector-dev,
+               libnss3-dev (>= 3.11.1),
                libx11-dev,
                libxau-dev,
                libxrandr-dev,
                libxt-dev,
                libxext-dev,
                check (>= 0.9.4),
+               libgirepository1.0-dev (>= 0.9.12),
+               gobject-introspection (>= 0.10.7-1~),
                libpam0g-dev,
                libxdmcp-dev,
                libwrap0-dev,
@@ -50,42 +53,47 @@
 
 Package: gdm3
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         ${gir:Depends},
          adduser,
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
-         gnome-session-bin (>= 3.0),
+         gnome-session-bin (>= 3.4.2.1-4~),
+         gnome-settings-daemon (>= 3.2),
+         metacity (>= 1:2.34.2),
          policykit-1-gnome,
          upower,
          gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          lsb-base (>= 3.2-14),
          librsvg2-common,
-         gconf2 (>= 2.26.2-3),
          accountsservice (>= 0.6.12),
          gsettings-desktop-schemas,
          libglib2.0-bin (>= 2.26),
-         dconf-gsettings-backend
+         dconf-tools (>= 0.12.1-2),
+         dconf-gsettings-backend (>= 0.12.1-2),
+         x11-common (>= 1:7.6+11),
+         x11-xserver-utils
 Recommends: zenity,
             xserver-xephyr,
             x11-xkb-utils,
             xserver-xorg,
-            at-spi,
-            gnome-power-manager (>= 2.28),
-            gnome-settings-daemon,
+            at-spi2-core,
             gnome-icon-theme,
+            gnome-icon-theme-symbolic,
             desktop-base (>= 6)
 Suggests: libpam-gnome-keyring,
-          metacity,
-          gnome-mag,
           gnome-orca,
-          gok
+          gok,
+          gnome-shell
 Provides: x-display-manager
 Conflicts: gdm
 Breaks: gnome-panel (<< 3.0),
         gnome-screensaver (<< 2.17.7),
         gnome-orca (<< 2.30.0-2),
-        gnome-control-center (<< 3.0)
+        gnome-control-center (<< 3.0),
+        gnome-shell (<< 3.2)
 Description: Next generation GNOME Display Manager
  GDM provides the equivalent of a "login:" prompt for X displays: it 
  asks for a login and starts X sessions.

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,9 @@
 		--with-defaults-conf=/usr/share/gdm/defaults.conf \
 		--with-user=Debian-gdm --with-group=Debian-gdm \
 		--with-pam-domain=gdm3 \
-		--with-lang-file=/etc/default/locale
+		--with-lang-file=/etc/default/locale \
+		--without-systemd \
+		--disable-split-authentication
 
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
 	DEB_CONFIGURE_EXTRA_FLAGS += --enable-debug
@@ -44,22 +46,32 @@
 
 
 DEB_DH_INSTALLINIT_ARGS := --noscripts
+DEB_DH_MAKESHLIBS_ARGS_gdm3 := --no-act
+
+DEB_DH_GIREPOSITORY_ARGS_gdm3 := -l$(CURDIR)/gui/libgdmgreeter /usr/lib/gdm/
 
 binary-install/gdm3::
 	mv debian/gdm3/usr/sbin/gdm-binary debian/gdm3/usr/sbin/gdm3
 	cd debian/gdm3/usr/sbin && rm -f gdm-restart gdm-stop gdm-safe-restart
 	chmod 755 debian/gdm3/etc/gdm3/Xsession
+	rm -f debian/gdm3/etc/pam.d/gdm-*
 	dh_installpam -pgdm3 --name=gdm3-autologin
 	rm -rf debian/gdm3/var/lib/gdm3/.[cgl]*
 	rm -rf debian/gdm3/var/run
+	cd debian/gdm3 && \
+		mv etc/dconf/profile/gdm usr/share/gdm/dconf-profile && \
+		mv etc/dconf/db/gdm.d usr/share/gdm/dconf && \
+		rmdir etc/dconf/db etc/dconf/profile etc/dconf
+	rm -rf debian/gdm3/usr/include
+	rm -rf debian/gdm3/usr/lib/pkgconfig
 	rm -f debian/gdm3/usr/sbin/gdm
 	rm -f debian/gdm3/etc/pam.d/gdm
 	rm -f debian/gdm3/etc/pam.d/gdm-autologin
 	rm -f debian/gdm3/usr/share/gdm/autostart/LoginWindow/gnome-session-check-accelerated.desktop
-	cd debian/gdm3/usr/share/gdm/greeter-config && \
-		mv session-setup.entries 10_upstream.entries
-	data/make-dconf-override-db.sh > \
-		debian/gdm3/usr/share/gdm/greeter-settings/xx_upstream.gschema.override
+	cd debian/gdm3/usr/lib/gdm && \
+		rm -f lib*.a lib*.la lib*.so *.gir
+	cd debian/gdm3/usr/lib/gnome-shell && \
+		ln -s ../gdm/*.typelib . && ln -s ../gdm/libgdmgreeter*.so.? .
 
 INFILES := $(wildcard debian/*.desktop.in)
 OUTFILES := $(INFILES:.desktop.in=.desktop)
@@ -76,6 +88,7 @@
 clean::
 	rm -f $(MANPAGES)
 	rm -f $(OUTFILES)
+	rm -f data/gdm.schemas data/gdm.schemas.in
 
 %: %.pod
 	pod2man --section=$(shell echo $@ | sed 's/.*\.//') \
